Garmaine Staff asked 1 year ago

I have installed material-ui/lab in order to user the alert component, but whenever i import it with: import Alert from '@material-ui/lab/Alert'; it fails to compile and throws this error:

./node_modules/@material-ui/lab/esm/internal/svg-icons/SuccessOutlined.js
Attempted import error: 'createSvgIcon' is not exported from '@material-ui/core/utils'.

So I tried to google this problem and found another question about the material-ui/lab/AutoComplete component (This question exactly) and the accepted answer was to update the material-ui/core to version 4.9.9, and it looks like it worked for the guy who asked, but sadly not for me, i have this versions of all the installed material-ui things:

    "@material-ui/core": "^4.9.9",
    "@material-ui/icons": "^4.9.1",
    "@material-ui/lab": "^4.0.0-alpha.48",

so now i'm asking u guys if there is another way to solve this problem, thanks